[Darshan-commits] [Darshan] branch, master, updated. darshan-2.3.1-pre1-18-ge30a1ae

Service Account git at mcs.anl.gov
Thu Feb 5 19:33:28 CST 2015


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "".

The branch, master has been updated
       via  e30a1aec9a24dac450eb2a9e35fd9ca06bb1828a (commit)
      from  d3b6727c3f6a58980d1f07abca6ff8ba64d84c3e (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit e30a1aec9a24dac450eb2a9e35fd9ca06bb1828a
Author: Phil Carns <carns at mcs.anl.gov>
Date:   Thu Feb 5 20:33:15 2015 -0500

    simplify environment configuration

-----------------------------------------------------------------------

Summary of changes:
 darshan-test/regression/run-all.sh         |   35 ++----------------
 darshan-test/regression/ws/env.sh          |   55 ++++++++++++++++++++++++++++
 darshan-test/regression/ws/setup-cc.sh     |   26 -------------
 darshan-test/regression/ws/setup-cxx.sh    |   26 -------------
 darshan-test/regression/ws/setup-f77.sh    |   26 -------------
 darshan-test/regression/ws/setup-f90.sh    |   26 -------------
 darshan-test/regression/ws/setup-runjob.sh |   16 --------
 7 files changed, 58 insertions(+), 152 deletions(-)
 create mode 100755 darshan-test/regression/ws/env.sh
 delete mode 100755 darshan-test/regression/ws/setup-cc.sh
 delete mode 100755 darshan-test/regression/ws/setup-cxx.sh
 delete mode 100755 darshan-test/regression/ws/setup-f77.sh
 delete mode 100755 darshan-test/regression/ws/setup-f90.sh
 delete mode 100755 darshan-test/regression/ws/setup-runjob.sh


Diff of changes:
diff --git a/darshan-test/regression/run-all.sh b/darshan-test/regression/run-all.sh
index 6b9ee5e..19d6aec 100755
--- a/darshan-test/regression/run-all.sh
+++ b/darshan-test/regression/run-all.sh
@@ -42,39 +42,10 @@ if [ ! -d $DARSHAN_TESTDIR/$DARSHAN_PLATFORM ]; then
     exit 1
 fi
 
-# set up c compiler for this platform
-DARSHAN_CC=`$DARSHAN_TESTDIR/$DARSHAN_PLATFORM/setup-cc.sh`
-if [ $? -ne 0 ]; then
-    exit 1
-fi
-export DARSHAN_CC
-
-# set up c++ compiler for this platform
-DARSHAN_CXX=`$DARSHAN_TESTDIR/$DARSHAN_PLATFORM/setup-cxx.sh`
-if [ $? -ne 0 ]; then
-    exit 1
-fi
-export DARSHAN_CXX
-
-# set up Fortran compilers for this platform
-DARSHAN_F77=`$DARSHAN_TESTDIR/$DARSHAN_PLATFORM/setup-f77.sh`
-if [ $? -ne 0 ]; then
-    exit 1
-fi
-export DARSHAN_F77
-DARSHAN_F90=`$DARSHAN_TESTDIR/$DARSHAN_PLATFORM/setup-f90.sh`
-if [ $? -ne 0 ]; then
-    exit 1
-fi
-export DARSHAN_F90
-
-# set up job execution wrapper for this platform
-DARSHAN_RUNJOB=`$DARSHAN_TESTDIR/$DARSHAN_PLATFORM/setup-runjob.sh`
-if [ $? -ne 0 ]; then
-    exit 1
-fi
-export DARSHAN_RUNJOB
+# set up environment for tests according to platform
+source $DARSHAN_TESTDIR/$DARSHAN_PLATFORM/env.sh
 
+echo A
 for i in `ls $DARSHAN_TESTDIR/test-cases/*.sh`; do
     echo Running ${i}...
     $i
diff --git a/darshan-test/regression/ws/env.sh b/darshan-test/regression/ws/env.sh
new file mode 100755
index 0000000..aa4c706
--- /dev/null
+++ b/darshan-test/regression/ws/env.sh
@@ -0,0 +1,55 @@
+#!/bin/bash
+
+# General notes
+#######################
+
+# Script to set up the environment for tests on this platform.  Must export
+# the following environment variables:
+# 
+# DARSHAN_CC: command to compile C programs
+# DARSHAN_CXX: command to compile C++ programs
+# DARSHAN_F90: command to compile Fortran90 programs
+# DARSHAN_F77: command to compile Fortran77 programs
+# DARSHAN_RUNJOB: command to execute a job and wait for its completion
+
+# This script may load optional modules (as in a Cray PE), set LD_PRELOAD
+# variables (as in a dynamically linked environment), or generate mpicc
+# wrappers (as in a statically linked environment).
+
+# Notes specific to this platform (ws)
+########################
+# This particular env script assumes that mpicc and its variants for other 
+# languages are already in the path.  The compiler scripts to be used in
+# these test cases will be generated using darshan-gen-*.pl scripts.
+
+# The runjob command is just mpiexec, no scheduler
+
+$DARSHAN_PATH/bin/darshan-gen-cc.pl `which mpicc` --output $DARSHAN_TMP/mpicc
+if [ $? -ne 0 ]; then
+    echo "Error: failed to generate c compiler." 1>&2
+    exit 1
+fi
+export DARSHAN_CC=$DARSHAN_TMP/mpicc
+
+$DARSHAN_PATH/bin/darshan-gen-cxx.pl `which mpicxx` --output $DARSHAN_TMP/mpicxx
+if [ $? -ne 0 ]; then
+    echo "Error: failed to generate c compiler." 1>&2
+    exit 1
+fi
+export DARSHAN_CXX=$DARSHAN_TMP/mpicxx
+
+$DARSHAN_PATH/bin/darshan-gen-fortran.pl `which mpif77` --output $DARSHAN_TMP/mpif77
+if [ $? -ne 0 ]; then
+    echo "Error: failed to generate f77 compiler." 1>&2
+    exit 1
+fi
+export DARSHAN_F77=$DARSHAN_TMP/mpif77
+
+$DARSHAN_PATH/bin/darshan-gen-fortran.pl `which mpif90` --output $DARSHAN_TMP/mpif90
+if [ $? -ne 0 ]; then
+    echo "Error: failed to generate f90 compiler." 1>&2
+    exit 1
+fi
+export DARSHAN_F90=$DARSHAN_TMP/mpif90
+
+export DARSHAN_RUNJOB="mpiexec -n $DARSHAN_DEFAULT_NPROCS"
diff --git a/darshan-test/regression/ws/setup-cc.sh b/darshan-test/regression/ws/setup-cc.sh
deleted file mode 100755
index 37bb231..0000000
--- a/darshan-test/regression/ws/setup-cc.sh
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/bash
-
-# General notes
-#######################
-# Script to set up the C compiler to use for subsequent test cases.  This
-# script may load optional modules (as in a Cray PE), set LD_PRELOAD
-# variables (as in a dynamically linked environment), or generate mpicc
-# wrappers (as in a statically linked environment).
-
-# The script should produce a single string to stdout, which is the command
-# line to use for invoking the C compiler
-
-# Notes specific to this platform (ws)
-########################
-# This particular version of the setup-cc script assumes that mpicc is
-# present in the path already, and that the C compiler to use for
-# subsequent tests should be generated from this using darshan-gen-cc.pl.
-
-$DARSHAN_PATH/bin/darshan-gen-cc.pl `which mpicc` --output $DARSHAN_TMP/mpicc
-if [ $? -ne 0 ]; then
-    echo "Error: failed to generate c compiler." 1>&2
-    exit 1
-fi
-
-echo $DARSHAN_TMP/mpicc
-exit 0
diff --git a/darshan-test/regression/ws/setup-cxx.sh b/darshan-test/regression/ws/setup-cxx.sh
deleted file mode 100755
index 7b75091..0000000
--- a/darshan-test/regression/ws/setup-cxx.sh
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/bash
-
-# General notes
-#######################
-# Script to set up the C++ compiler to use for subsequent test cases.  This
-# script may load optional modules (as in a Cray PE), set LD_PRELOAD
-# variables (as in a dynamically linked environment), or generate mpicxx
-# wrappers (as in a statically linked environment).
-
-# The script should produce a single string to stdout, which is the command
-# line to use for invoking the C compiler
-
-# Notes specific to this platform (ws)
-########################
-# This particular version of the setup-cxx script assumes that mpicxx is
-# present in the path already, and that the C++ compiler to use for
-# subsequent tests should be generated from this using darshan-gen-cxx.pl.
-
-$DARSHAN_PATH/bin/darshan-gen-cxx.pl `which mpicxx` --output $DARSHAN_TMP/mpicxx
-if [ $? -ne 0 ]; then
-    echo "Error: failed to generate c compiler." 1>&2
-    exit 1
-fi
-
-echo $DARSHAN_TMP/mpicxx
-exit 0
diff --git a/darshan-test/regression/ws/setup-f77.sh b/darshan-test/regression/ws/setup-f77.sh
deleted file mode 100755
index d370105..0000000
--- a/darshan-test/regression/ws/setup-f77.sh
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/bash
-
-# General notes
-#######################
-# Script to set up the F77 compiler to use for subsequent test cases.  This
-# script may load optional modules (as in a Cray PE), set LD_PRELOAD
-# variables (as in a dynamically linked environment), or generate mpicc
-# wrappers (as in a statically linked environment).
-
-# The script should produce a single string to stdout, which is the command
-# line to use for invoking the F77 compiler
-
-# Notes specific to this platform (ws)
-########################
-# This particular version of the setup-cc script assumes that mpicc is
-# present in the path already, and that the F77 compiler to use for
-# subsequent tests should be generated from this using darshan-gen-fortran.pl.
-
-$DARSHAN_PATH/bin/darshan-gen-fortran.pl `which mpif77` --output $DARSHAN_TMP/mpif77
-if [ $? -ne 0 ]; then
-    echo "Error: failed to generate f77 compiler." 1>&2
-    exit 1
-fi
-
-echo $DARSHAN_TMP/mpif77
-exit 0
diff --git a/darshan-test/regression/ws/setup-f90.sh b/darshan-test/regression/ws/setup-f90.sh
deleted file mode 100755
index 1d5192c..0000000
--- a/darshan-test/regression/ws/setup-f90.sh
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/bash
-
-# General notes
-#######################
-# Script to set up the F90 compiler to use for subsequent test cases.  This
-# script may load optional modules (as in a Cray PE), set LD_PRELOAD
-# variables (as in a dynamically linked environment), or generate mpicc
-# wrappers (as in a statically linked environment).
-
-# The script should produce a single string to stdout, which is the command
-# line to use for invoking the F90 compiler
-
-# Notes specific to this platform (ws)
-########################
-# This particular version of the setup-cc script assumes that mpicc is
-# present in the path already, and that the F90 compiler to use for
-# subsequent tests should be generated from this using darshan-gen-fortran.pl.
-
-$DARSHAN_PATH/bin/darshan-gen-fortran.pl `which mpif90` --output $DARSHAN_TMP/mpif90
-if [ $? -ne 0 ]; then
-    echo "Error: failed to generate f90 compiler." 1>&2
-    exit 1
-fi
-
-echo $DARSHAN_TMP/mpif90
-exit 0
diff --git a/darshan-test/regression/ws/setup-runjob.sh b/darshan-test/regression/ws/setup-runjob.sh
deleted file mode 100755
index b62e205..0000000
--- a/darshan-test/regression/ws/setup-runjob.sh
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/bash
-
-# General notes
-#######################
-# Script to set up whatever is needed to run an MPI job. This script should
-# produce the string of the command line prefix to use for job execution.
-# This could (for example) point to a wrapper script that will submit a job
-# to a scheduler and wait for its completion.
-
-# Notes specific to this platform (ws)
-########################
-# This particular version of the setup-runjob script just uses mpiexec,
-# assuming that is in the path already.
-
-echo mpiexec -n $DARSHAN_DEFAULT_NPROCS
-exit 0


hooks/post-receive
--



More information about the Darshan-commits mailing list